Package org.apache.tomcat.util.digester

# Class EnvironmentPropertySource

java.lang.Object
org.apache.tomcat.util.digester.EnvironmentPropertySource

All Implemented Interfaces:
  `IntrospectionUtils.PropertySource`

public class EnvironmentPropertySource extends Object implements IntrospectionUtils.PropertySource
A `IntrospectionUtils.PropertySource` that uses environment variables to resolve expressions.

Usage example:

Configure the certificate with environment variables.

         <SSLHostConfig>
               <Certificate certificateKeyFile="${CERTIFICATE_KEY_FILE}"
                            certificateFile="${CERTIFICATE_FILE}"
                            certificateChainFile="${CERTIFICATE_CHAIN_FILE}"
                            type="RSA" />
         </SSLHostConfig>

How to configure:

       echo "org.apache.tomcat.util.digester.PROPERTY_SOURCE=org.apache.tomcat.util.digester.EnvironmentPropertySource" >> conf/catalina.properties

or add this to `CATALINA_OPTS`

       -Dorg.apache.tomcat.util.digester.PROPERTY_SOURCE=org.apache.tomcat.util.digester.EnvironmentPropertySource

NOTE: When configured the PropertySource for resolving expressions from system properties is still active.

See Also:
  - `Digester`
  - Tomcat Configuration Reference System Properties

## Constructor Summary

Constructors
Constructor
Description
`EnvironmentPropertySource()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getProperty(String key)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EnvironmentPropertySource

public EnvironmentPropertySource()

## Method Details

### getProperty

public String getProperty(String key)

Specified by:
  `getProperty` in interface `IntrospectionUtils.PropertySource`